Bug 998675 - Headpin Nightly : Cli command displaying list of activation key failed
Headpin Nightly : Cli command displaying list of activation key failed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
sthirugn@redhat.com
: Triaged
Depends On: 989940
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 14:37 EDT by sthirugn@redhat.com
Modified: 2014-04-24 13:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 989940
Environment:
Last Closed: 2014-04-24 13:10:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sthirugn@redhat.com 2013-08-19 14:37:17 EDT
+++ This bug was initially created as a clone of Bug #989940 +++

Description of problem:
Cli command displaying list of activation key failed

Version-Release number of selected component (if applicable):
# rpm -qa | grep katello
katello-certs-tools-1.4.2-1.el6.noarch
katello-glue-candlepin-1.4.2-1.git.970.aad75f0.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-1.4.2-1.git.137.fea0d84.el6.noarch
katello-cli-common-1.4.2-1.git.137.fea0d84.el6.noarch
katello-glue-elasticsearch-1.4.2-1.git.970.aad75f0.el6.noarch
katello-headpin-1.4.2-1.git.970.aad75f0.el6.noarch
signo-katello-0.0.9-1.el6.noarch
katello-configure-1.4.3-1.git.67.f71e590.el6.noarch
katello-common-1.4.2-1.git.970.aad75f0.el6.noarch
katello-headpin-all-1.4.2-1.git.970.aad75f0.el6.noarch
katello-selinux-1.4.3-1.git.4.99dc194.el6.noarch
katello-repos-1.4.2-1.el6.noarch


How reproducible:
# yum install -y katello-headpin-all
# katello-configure --deployment=headpin --user-pass=***

Steps to Reproduce:
1.# headpin -u admin -p *** activation_key create --name act_key --org ACME_Corporation
Successfully created activation key [ act_key ]

2.# headpin -u admin -p **** activation_key list --org ACME_Corporation
Invalid resource type 'content_views'. Resource Types can be one of 'organizations, environments, activation_keys, system_groups, providers, users, roles, all'


3.

Actual results:
The list command fails

Expected results:
Should display list of all activation keys for a Org

Additional info:

--- Additional comment from Tom McKay on 2013-08-06 14:10:23 EDT ---

Branch: refs/heads/master
  Home:   https://github.com/Katello/katello-cli
  Commit: 9e2c3132dc7c1f4775564c0d6426c2a9dc195577
      https://github.com/Katello/katello-cli/commit/9e2c3132dc7c1f4775564c0d6426c2a9dc195577
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2013-08-06 (Tue, 06 Aug 2013)
Comment 1 sthirugn@redhat.com 2013-08-19 14:40:18 EDT
This is already fixed in SAM 1.3 - Refer https://bugzilla.redhat.com/show_bug.cgi?id=989940#c2.  This bug will be verified in sat 6.0.2
Comment 4 sthirugn@redhat.com 2013-10-21 10:24:59 EDT
Verified.

# katello -u admin -p admin activation_key list --org org1
--------------------------------------------------------------------------------
                              Activation Key List

ID Name    Description Usage Environment ID Content View   
--------------------------------------------------------------------------------
12 actkey2             0     23             contentpublish1 
10 actkey1             0     23             contentpublish2


Version Tested:
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-18.el6sat.noarch
* foreman-compute-1.3.0-18.el6sat.noarch
* foreman-libvirt-1.3.0-18.el6sat.noarch
* foreman-postgresql-1.3.0-18.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-40.el6sat.noarch
* katello-all-1.4.6-40.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-24.el6sat.noarch
* katello-cli-common-1.4.3-24.el6sat.noarch
* katello-common-1.4.6-40.el6sat.noarch
* katello-configure-1.4.7-6.el6sat.noarch
* katello-configure-foreman-1.4.7-6.el6sat.noarch
* katello-foreman-all-1.4.6-40.el6sat.noarch
* katello-glue-candlepin-1.4.6-40.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-40.el6sat.noarch
* katello-glue-pulp-1.4.6-40.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
* pulp-server-2.3.0-0.22.beta.el6sat.noarch
Comment 5 Bryan Kearney 2014-04-24 13:10:08 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 6 Bryan Kearney 2014-04-24 13:11:28 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.